Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
mreed
Posts: 1,041
Registered: ‎07-16-2008
My Device: ಠ_ಠ

Re: Could not load library libQtDeclarative.so.4

[ Edited ]

Sent a zip of the project and built files. Thanks!

Please use plain text.
Developer
mreed
Posts: 1,041
Registered: ‎07-16-2008
My Device: ಠ_ಠ

Re: Could not load library libQtDeclarative.so.4

[ Edited ]

Also re-checked-out from github and its the same.

 

Here is output from deplying through command line:

macbook:workspace-momentics mreed$ blackberry-deploy -installApp -launchApp 169.254.0.1 -password q Cascades-Community-Samples/HelloVideoCamera/arm/o.le-v7/HelloVideoCamera.bar 
Info: Sending request: Install and Launch
Info: Action: Install and Launch
Info: File size: 50908
Info: Installing com.example.HelloVideoCamera.testDev_VideoCamerade4ca33f...
Info: Processing 50908 bytes
Info: Progress 100%...
actual_dname::com.example.HelloVideoCamera.testDev_VideoCamerade4ca33f
actual_id::testDev_VideoCamerade4ca33f
actual_version::1.0.0.1
result::success
Info: Launching com.example.HelloVideoCamera.testDev_VideoCamerade4ca33f...
result::66293974
Info: done

 

Tried command line deploy for both USB and WiFi.

 

Tried removing and readding the debug token.

Tried creating a new debug token.

 

Building and running in the simulator I get this:

ldd:FATAL: Could not load library libcamapi.so.1


Please use plain text.
BlackBerry Development Advisor
smcveigh
Posts: 668
Registered: ‎11-29-2011
My Device: developer

Re: Could not load library libQtDeclarative.so.4

Here's what we figured out:

 

Despite having the correct LD_LIBRARY_PATH in your bar-descriptor.xml this is what the BAR in your project has in MANIFEST.MF:
Entry-Point: LD_LIBRARY_PATH=app/native/lib app/native/HelloVideoCamera

And if we build it with the latest tools, MANIFEST.MF has:
Entry-Point: LD_LIBRARY_PATH=app/native/lib:/usr/lib/qt4/lib app/native/HelloVideoCamera

 

So you've still got some sort of tooling problem on your end.  Which version do you have installed?  It almost seems like you're compiling with the R4 or 2.0 NDK somehow.

 

Cheers,

Sean

 

 

Please use plain text.
BlackBerry Development Advisor
smcveigh
Posts: 668
Registered: ‎11-29-2011
My Device: developer

Re: Could not load library libQtDeclarative.so.4

Check in Preferences->QNX.  Sanity check all the paths reported in there and make sure none are pointing at some older NDK.

Please use plain text.
Developer
mreed
Posts: 1,041
Registered: ‎07-16-2008
My Device: ಠ_ಠ

Re: Could not load library libQtDeclarative.so.4

Yea... that was it. Spotlight was launching QDE from the 2.0 NDK I still had installed. Although QDE was set to use the 10.0.6 SDK under the QNX preferences.

 

Thanks!

Please use plain text.